Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235132 - Ekiga crashes with v4l2 enabled.
Summary: Ekiga crashes with v4l2 enabled.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: pwlib
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-03 21:08 UTC by Jiri Slaby
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-10 16:38:24 UTC


Attachments (Terms of Use)
Crash captured by bug-buddy (deleted)
2007-04-03 21:08 UTC, Jiri Slaby
no flags Details

Description Jiri Slaby 2007-04-03 21:08:11 UTC
Description of problem:
Ekiga crashes with v4l2 enabled.

Version-Release number of selected component (if applicable):
pwlib-1.10.5-1.fc7
ekiga-2.0.7-2.fc7

How reproducible:
every time

Steps to Reproduce:
start ekiga after previous v4l2 video input chosen

Additional info:
stk11xx module is the webcam driver:
Bus 005 Device 005: ID 05e1:0501 Syntek Semiconductor Co., Ltd

Comment 1 Jiri Slaby 2007-04-03 21:08:11 UTC
Created attachment 151622 [details]
Crash captured by bug-buddy

Comment 2 Matthew Miller 2007-04-10 16:26:56 UTC
Fedora 7 test bugs should be filed against "devel", not against test1/2/3. This
isn't obvious, I know. Moving this report so it isn't lost.

This is a bulk message -- I apologize if this was actually meant to be targeted
against a different release. If so, please fix or let me know. Thanks.

Comment 3 Jiri Slaby 2007-04-10 16:38:24 UTC
There is a bug in stk11xx driver. It returned OK status for ioctl even if v4l2
structure was not filled. This caused pwlib to think, there is correct data and
div by zero occured in "something / (q.max - q.min)", where q is mentioned
struct demanded by ioctl.


Note You need to log in before you can comment on or make changes to this bug.